<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  version="3.0">
  
  <xsl:import href="DZ_TEE_checklist.htmlSimplePreview.xsl"/>
  <xsl:import href="../_common/insertMetaInsideBody.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Génère la prévisualisation complète d'un EE de type DZ_TEE_checklist (ou DZ_TEE_guidanceChecklist ?)</xd:p>
      <xd:p>Les xsl:imports ci-dessus suffisent</xd:p>
    </xd:desc>
  </xd:doc>
  
  <!--insertMetaInsideBody.xsl a besoin d'un mode "xfRes:htmlSimplePreview" sur "/"-->
  <xsl:template match="/" mode="xfRes:htmlSimplePreview">
    <xsl:apply-templates select="." mode="xfRes:DZ_TEE_checklist.htmlSimplePreview"/>
  </xsl:template>
  
</xsl:stylesheet>