<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:qg="http://www.lefebvre-sarrut.eu/ns/els/guidance/quickguide-dalloz"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <!-- IMPORTS -->
  <xsl:import href="../_common/TEE_tree.default.htmlSimplePreview.xsl"/>
  <xsl:import href="../els/_common/els-content.common.htmlPreview.xsl"/>

  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Prévisu simple d'une EE de type DZ_TEE_guidanceTopicTree</xd:p>
    </xd:desc>
  </xd:doc>

  <xsl:output encoding="UTF-8" method="xhtml" omit-xml-declaration="no" indent="no"/>

  <!--=============================================-->
  <!--INIT-->
  <!--=============================================-->

  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:DZ_TEE_guidanceTopicTree.htmlSimplePreview"/>
  </xsl:template>

  <!--=============================================-->
  <!--MAIN-->
  <!--=============================================-->

  <xsl:template match="/" mode="xfRes:DZ_TEE_guidanceTopicTree.htmlSimplePreview">
    <xsl:variable name="step" as="document-node()">
      <xsl:document>
        <xsl:apply-templates select="." mode="xfRes:TEE_tree.default.htmlSimplePreview"/>
      </xsl:document>
    </xsl:variable>
    <xsl:apply-templates select="$step" mode="xfRes:htmlPreview.normalizeHTML"/>
  </xsl:template>

</xsl:stylesheet>