<?xml version="1.0" encoding="utf-8"?>
<!--<schema xmlns="http://www.ascc.net/xml/schematron">-->
<schema
  xmlns="http://purl.oclc.org/dsdl/schematron"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:saxon="http://saxon.sf.net/"
  xmlns:h="http://www.w3.org/1999/xhtml"
  queryBinding="xslt2"
  id="validation_el_pageGuidance">

  <title>Schematron for EL PageGuidance TEE</title>

  <ns prefix="xsl" uri="http://www.w3.org/1999/XSL/Transform"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="saxon" uri="http://saxon.sf.net/"/>
  <ns prefix="xf" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst"/>
  <ns prefix="h" uri="http://www.w3.org/1999/xhtml"/>



  <!--==============================================-->
  <!--CONTROLE METAS -->
  <!--==============================================-->

  <pattern id="metadata">
    <rule context="/xf:editorialEntity/xf:metadata/xf:meta[@code = 'EL_META_themeActualite']/xf:value/*">
      <assert test="local-name() = 'ref' and namespace-uri() = 'http://www.lefebvre-sarrut.eu/ns/xmlfirst'">
        [ERROR]: La méta "EL_META_themeActualite" doit être de type "xf:ref"
      </assert>
    </rule>
    <rule context="/xf:editorialEntity/xf:metadata/xf:meta[@code = 'EL_META_themeActualite']/xf:value/xf:ref">
      <assert test="exists(@idRef) and @idRef != ''">
        [ERROR]: L'arbre des thèmes n'indique pas de thématisation pour l'actualité a tous ces élements, vérifiez que chaque élement d'une branche dispose d'un theme d'actualité ou est situé en dessous d'un niveau disposant d'une thématisation d'actualité
      </assert>
    </rule>
  </pattern>

  <!--==============================================-->
  <!--CONTROLE DE RETOUR CHARIOT DANS LES TITRES    -->
  <!--==============================================-->
  <!--pattern id="tit-ret-chariot">
    <rule context="/xf:editorialEntity/xf:body/xf:structuralNode/xf:title/h:div">
      <let name="titrePage" value="normalize-space(string(.))" />
      <report test="contains(., '&#x0A;') or ./h:p or ./h:br" role="warning">
        Le titre "<xsl:value-of select="$titrePage"/>" comporte un retour-chariot
      </report>
    </rule>
  </pattern-->

</schema>