<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xs="http://www.w3.org/2001/XMLSchema" 
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/xmlfirst" 
  xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  exclude-result-prefixes="#all" version="3.0">
  <!--===========================================-->
  <!--INIT-->
  <!--===========================================-->
  
  <xsl:template match="/" priority="-1">
    <xsl:apply-templates mode="xfRes:EL_TEE_pageGuidance.getCalculatedMetatada"/>
  </xsl:template>
  
  <!--===========================================-->
  <!--MAIN-->
  <!--===========================================-->
  
  <xsl:template match="editorialEntity" mode="xfRes:EL_TEE_pageGuidance.getCalculatedMetatada">
    <metadata>
      <meta code="systemTitle" as="element(html:div)">
        <value as="element(html:div)">
          <!--<div xmlns="http://www.w3.org/1999/xhtml">-->
            <xsl:sequence select="metadata/meta[@code = 'ELS_META_titreEE']/value/html:div"/>
          <!--</div>-->
        </value>
      </meta>
      <meta code="systemAbstract" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">
            <!--empty-->
          </div>
        </value>
      </meta>
    </metadata>
  </xsl:template>
  
</xsl:stylesheet>
