<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:math="http://www.w3.org/2005/xpath-functions/math"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl" xmlns:xfSAS="http://www.lefebvre-sarrut.eu/ns/xmlfirst/sas" xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst" exclude-result-prefixes="xs math xd"
  version="3.0">
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p><xd:b>Created on:</xd:b> Aug 22, 2016</xd:p>
      <xd:p><xd:b>Author:</xd:b> MASTER</xd:p>
      <xd:p/>
    </xd:desc>
  </xd:doc>
  <!--==================================================-->
  <!--MODE convertNamespace -->
  <!--==================================================-->
  <xd:doc>
    <xd:desc>recopie des éléments en changeant le namespace</xd:desc>
    <xd:param name="namespace.uri">uri destination</xd:param>
  </xd:doc>
  <xsl:template match="*" mode="convertNamespace">
    <xsl:param name="namespace.uri" required="yes" as="xs:string" tunnel="yes"/>
    <xsl:element name="{local-name(.)}" namespace="{$namespace.uri}">
      <xsl:apply-templates select="node() | @*" mode="#current"/>
    </xsl:element>
  </xsl:template>

  <xd:doc>
    <xd:desc>si on n'a pas de paramètre uri on recopie à l'identique</xd:desc>
  </xd:doc>
  <xsl:template match="node() | @*" mode="convertNamespace" priority="-2">
    <xsl:copy>
      <xsl:copy-of select="node() | @*"/>
    </xsl:copy>
  </xsl:template>


</xsl:stylesheet>
