<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns="http://www.w3.org/1999/xhtml"
  xpath-default-namespace="http://www.w3.org/1999/xhtml"
  exclude-result-prefixes="#all"
  version="3.0">

  <xsl:template name="importJsElTable">
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script type="text/javascript">
      <xsl:text>
        try {
              $(function(){
                $(document).ready(function() {
                  $('.Tet1niv').parent().addClass('Tet1niv')
                  $('.Tet2niv').parent().addClass('Tet2niv')
                  $('.Tet3niv').parent().addClass('Tet3niv')
                  $('.Tetverticale').parent().addClass('Tetverticale')
                  $('.Alpuceremarque:first').parent().addClass('Remarque')
                });
              });
            } catch(err) {}
       </xsl:text>
    </script>
  </xsl:template>
  
  <xsl:template match="body" mode="injectJS">
    <xsl:copy copy-namespaces="no">
      <xsl:apply-templates select="@*" mode="#current"/>
      <xsl:call-template name="importJsElTable"/>
      <xsl:apply-templates mode="#current"/>
    </xsl:copy>
  </xsl:template>
  
  <xsl:template match="@* | node()" mode="injectJS">
    <xsl:copy copy-namespaces="no">
      <xsl:apply-templates select="@* | node()" mode="injectJS"/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>