<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  version="3.0">
  
  <xsl:import href="TEE_tree.default.htmlSimplePreview.xsl"/>
  <xsl:import href="insertMetaInsideBody.xsl"/>
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Generate the default full html preview for EE of type tree</xd:p>
    </xd:desc>
  </xd:doc>
  
  <!--=========================================-->
  <!--INIT-->
  <!--=========================================-->
  
  <xsl:template match="/">
    <xsl:apply-templates select="." mode="xfRes:TEE_tree.default.htmlFullPreview"/>
  </xsl:template>
  
  <!--=========================================-->
  <!--MAIN-->
  <!--=========================================-->
  
  <xsl:template match="/" mode="xfRes:TEE_tree.default.htmlFullPreview">
    <xsl:apply-templates select="." mode="xfRes:insertMetaInsideBody"/>
  </xsl:template>
  
</xsl:stylesheet>