<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  exclude-result-prefixes="#all"
  version="3.0"
  xml:lang="en">
  
  <xd:doc scope="stylesheet">
    <xd:desc>
      <xd:p>Part of els-common_convert-cast.xsl of xslLib project.</xd:p>
      <xd:p>FIXME : when the CP protocol is fully available for Schematron in ECM, this file could be removed from this Schematron.</xd:p>
      <xd:p>ELS-COMMON lib : module "CONVERSION AND CASTING" utilities</xd:p>
      <xd:p>(See FLAS-425)</xd:p>
    </xd:desc>
  </xd:doc>
  
  <xd:doc>Check if atomic value is an "number"</xd:doc>
  <!--FIXME : cf. http://www.xsltfunctions.com/xsl/functx_is-a-number.html-->
  <xsl:function name="els:isNumber" as="xs:boolean">
    <xsl:param name="s" as="xs:string?"/>
    <xsl:choose>
      <xsl:when test="empty($s)">
        <xsl:sequence select="false()"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:sequence select="number($s) = number($s)"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:function>
  
</xsl:stylesheet>