<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:xf="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xmlns:els="http://www.lefebvre-sarrut.eu/ns/els"
  xmlns:xfRes="http://www.lefebvre-sarrut.eu/ns/xmlfirst/ecm/resources"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns="http://www.lefebvre-sarrut.eu/ns/xmlfirst"
  xpath-default-namespace="http://www.lefebvre-sarrut.eu/ns/el/fichePratique.FLASEL-171"
  exclude-result-prefixes="#all"
  version="3.0">
  
  <xsl:import href="../../../xslLib/xslLib/els-common.xsl"/>
  <xsl:include href="../_common/el2html.xsl"/>
  
  <xsl:template match="xf:editorialEntity" mode="xfRes:EL_TEE_FichePratique_FLASEL_171.getCalculatedMetatada">
    <metadata>
      <meta code="systemTitle" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:apply-templates select="//Tifp[1]/node()" mode="xfRes:el2html"/>
          </div>
        </value>
      </meta>
      <meta code="systemAbstract" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:apply-templates select="//INTROFP[1]/node()" mode="xfRes:el2html"/>
          </div>
        </value>
      </meta>
    </metadata>
  </xsl:template>
  
  <!--Fallback : cas où l'EE a été modifiée dans l'éditeur sans être valide, elle est alors enregistrée au format html éditeur-->
  <xsl:template match="html:body" mode="xfRes:EL_TEE_FichePratique_FLASEL_171.getCalculatedMetatada">
    <metadata>
      <meta code="systemTitle" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:sequence select="//html:*[els:hasClass(., 'Tifp')][1]/node()"/>
          </div>
        </value>
      </meta>
      <meta code="systemAbstract" as="element(html:div)">
        <value as="element(html:div)">
          <div xmlns="http://www.w3.org/1999/xhtml">
            <xsl:sequence select="//html:*[els:hasClass(., 'INTROFP')][1]/node()"/>
          </div>
        </value>
      </meta>
    </metadata>
  </xsl:template>
  
</xsl:stylesheet>