<?xml version="1.0" encoding="utf-8"?>
<!--<schema xmlns="http://www.ascc.net/xml/schematron">-->
<schema 
  xmlns="http://purl.oclc.org/dsdl/schematron"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:saxon="http://saxon.sf.net/"
  xmlns:h="http://www.w3.org/1999/xhtml"
  queryBinding="xslt2"
  id="validation_el_practiceNoteAssemblee">
  
  <title>Schematron for EL PracticeNoteAssemblee TEE</title>
  
  <ns prefix="xsl" uri="http://www.w3.org/1999/XSL/Transform"/>
  <ns prefix="xs" uri="http://www.w3.org/2001/XMLSchema"/>
  <ns prefix="saxon" uri="http://saxon.sf.net/"/>
  <ns prefix="xf" uri="http://www.lefebvre-sarrut.eu/ns/xmlfirst"/>
  <ns prefix="h" uri="http://www.w3.org/1999/xhtml"/>
  
  
  <let name="els-quick-guide-namespace" value="'http://www.lefebvre-sarrut.eu/ns/els/guidance/quickguide'"/>

  <!--==============================================-->
  <!--CONTROLE DU CONTENU (Noeud accrochage)-->
  <!--==============================================-->
  <pattern id="controle-noeuds">
    <rule context="/xf:editorialEntity/xf:body">
      <report test="xf:structuralNode or xf:contentNode" role="warning">
        La Practice Note Assemblée ne doit pas contenir de nœud(s) de structure ou de contenu
      </report>
    </rule>
  </pattern>

  <!--==============================================-->
  <!--CONTROLE DES SURCHARGES DE TITRE-->
  <!--==============================================-->
  <!--pattern id="surcharge-titre">
    <rule context="/xf:editorialEntity/xf:body/xf:referenceNode">
      <let name="title-length" value="string-length(./xf:metadata/xf:meta[@code = 'systemTitle'])"/>
      <let name="titreFP" value="normalize-space(./xf:verbalization)" />
      <report test="$title-length > 200" role="error">
        Le titre de surcharge de la fiche pratique "<value-of select="$titreFP"/>" est trop long : <value-of select="$title-length"/> caractères (max = 200)
      </report>
    </rule>
  </pattern-->

</schema>